## cobra-cli 1.3.0

=== Makefile ===
XC_OS="linux darwin"
XC_ARCH="amd64"
XC_PARALLEL="2"
BIN="bin"
SRC=$(shell find . -name "*.go")

ifeq (, $(shell which golangci-lint))
$(warning "could not find golangci-lint in $(PATH), run: curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh")
endif

ifeq (, $(shell which richgo))
$(warning "could not find richgo in $(PATH), run: go get github.com/kyoh86/richgo")
endif

ifeq (, $(shell which gox))
$(warning "could not find gox in $(PATH), run: go get github.com/mitchellh/gox")
endif

.PHONY: all build fmt lint test install_deps clean

default: all

all: fmt test build

build: install_deps
	gox \
		-os=$(XC_OS) \
		-arch=$(XC_ARCH) \
		-parallel=$(XC_PARALLEL) \
		-output=$(BIN)/{{.Dir}}_{{.OS}}_{{.Arch}} \
		;

fmt:
	$(info ******************** checking formatting ********************)
	@test -z $(shell gofmt -l $(SRC)) || (gofmt -d $(SRC); exit 1)

lint:
	$(info ******************** running lint tools ********************)
	golangci-lint run -v

test: install_deps
	$(info ******************** running tests ********************)
	richgo test -v ./...

install_deps:
	$(info ******************** downloading dependencies ********************)
	go get -v ./...

clean:
	rm -rf $(BIN)

=== debian/changelog ===
cobra-cli (1.3.0-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 11:45:07 +1000

cobra-cli (1.3.0-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 12:33:49 +1000

cobra-cli (1.3.0-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 12:04:19 +0530

cobra-cli (1.3.0-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:28 +1200

cobra-cli (1.3.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Section on binary package cobra-cli that duplicates source.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 09:55:10 +0000

cobra-cli (1.3.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Thu, 07 Apr 2022 22:41:15 -0600

cobra-cli (1.3.0-1) unstable; urgency=medium

  * Initial packaging, split off from golang-github-spf13-cobra
    (Closes: #1008777)

 -- Anthony Fok <foka@debian.org>  Fri, 01 Apr 2022 06:20:29 -0600

=== debian/control ===
Source: cobra-cli
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13.4),
               debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-spf13-cobra-dev (>= 1.3.0),
               golang-github-spf13-viper-dev (>= 1.10.1)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/cobra-cli
Vcs-Git: https://salsa.debian.org/go-team/packages/cobra-cli.git
Homepage: https://github.com/spf13/cobra-cli
XS-Go-Import-Path: github.com/spf13/cobra-cli

Package: cobra-cli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: cobra (<< 1.4.0-1~)
Breaks: cobra (<< 1.4.0-1~)
Built-Using: ${misc:Built-Using}
Description: Cobra CLI tool to generate Go applications and commands
 Cobra provides its own program that will create your Go application and
 add any commands you want. It's the easiest way to incorporate Cobra into
 your application.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --builddirectory=_build

# Create a temporary barebone go.mod in order for
# TestGoldenInitCmd/successfully_creates_a_project_based_on_module to pass.
# See 0002-Force-GO111MODULE-on-for-TestGoldenInitCmd-to-pass.patch

execute_before_dh_auto_test:
	cd _build/src/github.com/spf13/cobra-cli/cmd && \
	  GOPROXY=off go mod init github.com/spf13/cobra-cli/cmd

execute_after_dh_auto_test:
	$(RM) -v _build/src/github.com/spf13/cobra-cli/cmd/go.mod
